// zxing-scanner {
//   max-width: 100%;
// }
// :host {
//   height: 100%;
// }

// .bloc2{
//   height:35%;
//   margin-bottom: 5px;
// }

// header {
//   position: sticky;
//   top: 0;
//   padding: 10px;
//   background: #333;
//   display: flex;
//   flex-direction: row;
//   justify-content: flex-end;
// }
// button {
//   margin-left: 8px;
// }

// .results {
//   position: sticky;
//   bottom: 0;
//   padding: 15px;
//   background: #02c3c3;
//   color: #fff;

//   display: flex;
//   align-items: center;
//   justify-content: space-between;

//   small {
//     font-weight: bolder;
//     display: block;
//     font-size: 60%;
//     margin: -0.6em 0 0 0;
//   }

//   button {
//     background: none;
//     border: none;
//     line-height: 1;
//     font-weight: bolder;
//     font-size: 120%;
//     float: right;
//     color: #fff;
//     $mg: 8px;
//     margin: (-$mg) (-$mg) (-$mg) $mg;
//   }
// }

// h2 {
//   padding: 0 16px;
// }


// .scanner-shell {
//   display: flex;
//   flex-direction: column;
//   align-content: center;
// }
// .text {
//   text-align: center;
// }

zxing-scanner {
  max-width: 100%;
}

header {
  position: sticky;
  top: 0;
  padding: 10px;
  background: #333;
  display: flex;

  button {
    margin-left: 8px;
  }

  mat-form-field {
    width: 100%;
    font-weight: bold;

    ::ng-deep {
      .mat-form-field-wrapper {
        padding: 0;

        .mat-form-field-flex {
          padding-top: 0;
        }
      }
      .mat-form-field-underline {
        bottom: 0;
      }
    }

    option {
      padding: 10px;
      line-height: 2;
      background: #474747;
      color: #fff;
    }
  }
}

.results {
  position: sticky;
  bottom: 0;
  padding: 15px;
  background: #02c3c3;
  color: #fff;

  display: flex;
  align-items: center;
  justify-content: space-between;

  small {
    font-weight: bolder;
    display: block;
    font-size: 60%;
    margin: -0.6em 0 0 0;
  }

  button {
    background: none;
    border: none;
    line-height: 1;
    font-weight: bolder;
    font-size: 120%;
    float: right;
    color: #fff;
    $mg: 8px;
    margin: (-$mg) (-$mg) (-$mg) $mg;
  }
}

h2 {
  padding: 0 16px;
}

app-header {
  font-size: 35px;
  color: white;
}
.scanner-shell {
  display: flex;
  flex-direction: column;
  align-content: center;
}
.text {
  text-align: center;
}





app-header {
  font-size: 35px;
  color: white;
  box-shadow: 10px 5px 5px grey;
  height: 15%;
}